ParseOptions
Date: 2012-05-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.adobe.xmp.options
Class ParseOptions

    java.lang.Object
      com.adobe.xmp.options.Options
          com.adobe.xmp.options.ParseOptions

    public final class ParseOptions

extends Options

Options for `XMPMetaFactory.parse(InputStream, ParseOptions)`.

Since:
  24.01.2006

Field Summary
`static int` | `ACCEPT_LATIN_1` If the input is not unicode, try to parse it as ISO-8859-1.
`static int` | `FIX_CONTROL_CHARS` Convert ASCII control characters 0x01 - 0x1F (except tab, cr, and lf) to spaces.
`static int` | `OMIT_NORMALIZATION` Do not carry run the XMPNormalizer on a packet, leave it as it is.
`static int` | `REQUIRE_XMP_META` Require a surrounding "x:xmpmeta" element in the xml-document.
`static int` | `STRICT_ALIASING` Do not reconcile alias differences, throw an exception instead.

Constructor Summary
`ParseOptions()` Sets the options to the default values.

Method Summary
`boolean` | `getAcceptLatin1()`
`boolean` | `getFixControlChars()`
`boolean` | `getOmitNormalization()`
`boolean` | `getRequireXMPMeta()`
`boolean` | `getStrictAliasing()`
`ParseOptions` | `setAcceptLatin1(boolean value)`
`ParseOptions` | `setFixControlChars(boolean value)`
`ParseOptions` | `setOmitNormalization(boolean value)`
`ParseOptions` | `setRequireXMPMeta(boolean value)`
`ParseOptions` | `setStrictAliasing(boolean value)`

Methods inherited from class com.adobe.xmp.options.Options
`clear, containsAllOptions, containsOneOf, equals, getOptions, getOptionsString, hashCode, isExactly, setOption, setOptions, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### REQUIRE_XMP_META

    public static final int REQUIRE_XMP_META

  Require a surrounding "x:xmpmeta" element in the xml-document.

  See Also:
    Constant Field Values

### STRICT_ALIASING

    public static final int STRICT_ALIASING

  Do not reconcile alias differences, throw an exception instead.

  See Also:
    Constant Field Values

### FIX_CONTROL_CHARS

    public static final int FIX_CONTROL_CHARS

  Convert ASCII control characters 0x01 - 0x1F (except tab, cr, and lf) to spaces.

  See Also:
    Constant Field Values

### ACCEPT_LATIN_1

    public static final int ACCEPT_LATIN_1

  If the input is not unicode, try to parse it as ISO-8859-1.

  See Also:
    Constant Field Values

### OMIT_NORMALIZATION

    public static final int OMIT_NORMALIZATION

  Do not carry run the XMPNormalizer on a packet, leave it as it is.

  See Also:
    Constant Field Values

Constructor Detail

### ParseOptions

    public ParseOptions()

  Sets the options to the default values.

Method Detail

### getRequireXMPMeta

    public boolean getRequireXMPMeta()

  Returns:
    Returns the requireXMPMeta.

### setRequireXMPMeta

    public ParseOptions setRequireXMPMeta(boolean value)

  Parameters:
    `value` - the value to set
  Returns:
    Returns the instance to call more set-methods.

### getStrictAliasing

    public boolean getStrictAliasing()

  Returns:
    Returns the strictAliasing.

### setStrictAliasing

    public ParseOptions setStrictAliasing(boolean value)

  Parameters:
    `value` - the value to set
  Returns:
    Returns the instance to call more set-methods.

### getFixControlChars

    public boolean getFixControlChars()

  Returns:
    Returns the strictAliasing.

### setFixControlChars

    public ParseOptions setFixControlChars(boolean value)

  Parameters:
    `value` - the value to set
  Returns:
    Returns the instance to call more set-methods.

### getAcceptLatin1

    public boolean getAcceptLatin1()

  Returns:
    Returns the strictAliasing.

### setOmitNormalization

    public ParseOptions setOmitNormalization(boolean value)

  Parameters:
    `value` - the value to set
  Returns:
    Returns the instance to call more set-methods.

### getOmitNormalization

    public boolean getOmitNormalization()

  Returns:
    Returns the option "omit normalization".

### setAcceptLatin1

    public ParseOptions setAcceptLatin1(boolean value)

  Parameters:
    `value` - the value to set
  Returns:
    Returns the instance to call more set-methods.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2007 Adobe Systems Inc. All Rights Reserved.